Summary: logs TCP, UDP, and ICMP connections to syslog.
Name: iplogger
Version: 1.2
Release: 1
Source: http://www.ojnk.nu/~eric/iplog-1.2.tar.gz
Source1: iplog.init 
Patch0: iplogger.patch
Copyright: GPL
Group: Networking/Daemons
Packager: Rod Cordova <rcordova@ethernet.org>
Buildroot: /tmp/iplog-build
Prereq: /sbin/chkconfig

%description
These three programs let you log tcp, udp, and icmp connections in syslog,
along with the hostname. They are just something whipped up quickly,
and could be improved alot - especially the icmp logging program.

%changelog
* Wed Feb  24 1999 Rod Cordova <rcordova@ethernet.org>
- Updated to version 1.2
- Fixed config.h to compile with user/group of 'nobody'

* Sun Sep  6 1998 Tim Ricketts <Timothy.Ricketts@Oxford.ac.uk>
- Fixed iplog.init with a patch from Marc Merlin <marc.merlin@magic.metawire.com>

%prep
%setup -n iplog-1.2
cd /usr/src/redhat/BUILD
patch -p0 -s -f < /usr/src/redhat/SOURCES/iplogger.patch
%build
make

%install
[ "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d

install -m755 -o root -g root icmplog $RPM_BUILD_ROOT/usr/sbin/icmplog
install -m755 -o root -g root tcplog $RPM_BUILD_ROOT/usr/sbin/tcplog
install -m755 -o root -g root udplog $RPM_BUILD_ROOT/usr/sbin/udplog
install -m755 -o root -g root $RPM_SOURCE_DIR/iplog.init \
 			      $RPM_BUILD_ROOT/etc/rc.d/init.d/iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50iplog

%clean
[ "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iplog

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del iplog
fi


%files
%doc README
/usr/sbin/*

%config /etc/rc.d/init.d/iplog
%config(missingok) /etc/rc.d/rc0.d/K50iplog
%config(missingok) /etc/rc.d/rc1.d/K50iplog
%config(missingok) /etc/rc.d/rc2.d/S50iplog
%config(missingok) /etc/rc.d/rc3.d/S50iplog
%config(missingok) /etc/rc.d/rc4.d/S50iplog
%config(missingok) /etc/rc.d/rc5.d/S50iplog
%config(missingok) /etc/rc.d/rc6.d/K50iplog
